import { AxiosInstance } from 'axios';
import { Signature } from 'ethers';
export declare class BackendApi {
    _axiosInstance: AxiosInstance;
    /**
     * Construct the BackendApi instance. Pass
     * the axios instance as a dependency.
     * @param axiosInstance
     */
    constructor(axiosInstance: AxiosInstance);
    /**
     * This returns a nonce for a given user.
     * @param address
     * @return nonce
     */
    generateNonce(address: string): Promise<any>;
    /**
     * This verifies that a signature is valid.
     * @param address
     * @param isSmartWallet
     * @param domain
     * @param types
     * @param signature
     */
    verifySignature(address: string, isSmartWallet: boolean, domain: {
        name: string;
        version: string;
        chainId: any;
        verifyingContract: string;
    }, types: {
        AuthSignature: Array<{
            name: string;
            type: string;
        }>;
    }, signature: Signature): Promise<any>;
}
//# sourceMappingURL=backendApi.d.ts.map