import { expect } from "chai";
import { isValidUrl } from "../../src/helpers/validityHelper";

describe("Helpers tests", function() {
    it("URL validity - expect valid - with https protocol", async () => {
        const backendUrl: string = "https://www.backend.url";
        const isValid: boolean = isValidUrl(backendUrl);

        expect(isValid).to.eql(true);
    });

    it("URL validity - expect valid - with http protocol", async () => {
        const backendUrl: string = "http://www.backend.url";
        const isValid: boolean = isValidUrl(backendUrl);

        expect(isValid).to.eql(true);
    });

    it("URL validity - expect valid - without protocol", async () => {
        const backendUrl: string = "www.backend.url";
        const isValid: boolean = isValidUrl(backendUrl);

        expect(isValid).to.eql(true);
    });

    it("URL validity - expect invalid - without protocol or www", async () => {
        const backendUrl: string = "backend.url";
        const isValid: boolean = isValidUrl(backendUrl);

        expect(isValid).to.eql(false);
    });

    it("URL validity - expect invalid - not a URL", async () => {
        const backendUrl: string = "invalidBackendUrl";
        const isValid: boolean = isValidUrl(backendUrl);

        expect(isValid).to.eql(false);
    });
});