import { expect } from "chai";
import { ClientLibrary } from "../../src";

describe("Initialize the library", function() {
    it("Initialize the library with a valid backend URL (via constructor)", async () => {
        const backendUrl: string = "https://psyched-hook-280010.oa.r.appspot.com";

        expect(() => new ClientLibrary(backendUrl)).to.not.throw();
    });

    it("Initialize the library with a valid backend URL (explicit initialization)", async () => {
        const backendUrl: string = "https://psyched-hook-280010.oa.r.appspot.com";
        let clientLibrary: ClientLibrary = new ClientLibrary();

        expect(() => clientLibrary.initialize(backendUrl)).to.not.throw();
    });

    it("Initialize the library with an invalid backend URL (via constructor)", async () => {
        const invalidBackendUrl: string = "invalidBackendUrl";

        expect(() => new ClientLibrary(invalidBackendUrl)).to.throw();
    });

    it("Initialize the library with an invalid backend URL (explicit initialization)", async () => {
        const invalidBackendUrl: string = "invalidBackendUrl";
        let clientLibrary: ClientLibrary = new ClientLibrary();

        expect(() => clientLibrary.initialize(invalidBackendUrl)).to.throw();
    });
});